Bug 559138 - pid problem in init.d/asterisk
Summary: pid problem in init.d/asterisk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: asterisk
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-27 09:06 UTC by JW
Modified: 2011-10-11 02:04 UTC (History)
2 users (show)

Fixed In Version: asterisk-1.8.6.0-4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-03 18:09:32 UTC
Type: ---


Attachments (Terms of Use)

Description JW 2010-01-27 09:06:54 UTC
Description of problem:
There is a setting in /etc/asterisk/asterisk.conf which defined where the pid is stored.  This defaults to /var/run/asterisk/asterisk.pid.  However the init.d/asterisk script has its own idea of where the pid is (/var/run/asterisk.pid: explicity mention plus killproc default).

Version-Release number of selected component (if applicable):
asterisk-1.6.1.11-1

How reproducible:
Always

Steps to Reproduce:
1. grep ^astrundir /etc/asterisk/asterisk.conf
2. grep pidfile /etc/rc.d/init.d/asterisk
3. grep killproc /etc/rc.d/init.d/asterisk
  
Actual results:
1. astrundir => /var/run/asterisk
2. # pidfile: /var/run/asterisk.pid
3. killproc `basename $DAEMON`

Expected results:
1. astrundir => /var/run/asterisk

Additional info:
asterisk.conf specifies the DIRECTORY so it ends up storing pid in /var/run/asterisk/asterisk.pid.

The init.d/asterisk should contain something like this:
> piddir=`awk '$1=="astrundir"{print $3}' $AST_CONFIG`
> ...
> killproc -p $piddir/asterisk.pid `basename $DAEMON`

Comment 1 Bug Zapper 2010-11-03 23:49:12 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 JW 2010-11-03 23:54:45 UTC
Still an issue in fedora 14 (asterisk-1.6.2.12-0.1)

Comment 3 Fedora Update System 2011-09-20 20:20:52 UTC
asterisk-1.8.6.0-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/asterisk-1.8.6.0-4.fc16

Comment 4 Fedora Update System 2011-09-20 20:25:08 UTC
asterisk-1.8.6.0-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/asterisk-1.8.6.0-4.fc15

Comment 5 Fedora Update System 2011-09-20 20:26:02 UTC
asterisk-1.8.6.0-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/asterisk-1.8.6.0-4.el6

Comment 6 Fedora Update System 2011-09-20 20:50:56 UTC
asterisk-1.6.2.20-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/asterisk-1.6.2.20-1.fc14

Comment 7 Fedora Update System 2011-09-21 22:15:00 UTC
Package asterisk-1.8.6.0-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing asterisk-1.8.6.0-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/asterisk-1.8.6.0-4.fc16
then log in and leave karma (feedback).

Comment 8 JW 2011-09-21 22:30:48 UTC
Thanks, but:

1. I don't use yum
2. I patched my version over 20 months ago (1 1/2 years ago) anyhow.

How is it that Fedora has such a short release cycle yet bugs still go unfixed for years?  Shouldn't the release cycle synchronize somewhat with the time it takes to fix bugs?

Why did this bug sit dormant for a full 10 months only to be targeted by a mass bug deletion program?

Has the Fedora release cycle been deliberately reduced only to assist in the rapid
 deletion of bugs?  Wouldn't it be better to have a longer release cycle so that known bugs can actually get fixed rather than just deleted?

Comment 9 Fedora Update System 2011-10-03 18:08:58 UTC
asterisk-1.8.6.0-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-10-03 23:56:44 UTC
asterisk-1.8.6.0-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-10-03 23:57:48 UTC
asterisk-1.6.2.20-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-10-11 02:04:58 UTC
asterisk-1.8.6.0-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.